UNIQ(1)

NOM
uniq - Signaler ou éliminer les lignes répétées

SYNOPSIS
uniq [OPTION] ... [ENTRÉE [SORTIE]]

DESCRIPTION

Filtrer les lignes successives identiques du fichier d'ENTRÉE (ou de l'entrée standard), écrire dans le fichier de SORTIE (ou vers la sortie standard).

Sans options, les lignes identiques sont fusionnées avec la première occurrence.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --count
    préfixer les lignes par le nombre d'occurrences

-d, --repeated
    n'afficher que les lignes dupliquées, une par groupe

-D  afficher toutes les lignes dupliquées

--all-repeated[=MÉTHODE]
    identique à -D, mais permettre de séparer les groupes par une ligne vide ; valeurs possibles pour MÉTHODE : none (par défaut), prepend ou separate.

-f, --skip-fields=N
    ne pas comparer les N premiers champs

--group[=MÉTHODE]
    montrer tous les éléments, en séparant les groupes par une ligne vide ; valeurs possibles pour MÉTHODE : separate (par défaut), prepend, append ou both.

-i, --ignore-case
    ignorer les différences de casse

-s, --skip-chars=N
    ne pas comparer les N premiers caractères

-u, --unique
    n'afficher que les lignes uniques

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

-w, --check-chars=N
    ne pas comparer plus de N caractères par ligne

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Un champ est une suite de blancs (habituellement des espaces et/ou tabulations), suivi de caractères non blancs. Les champs sont escamotés avant les caractères.

uniq ne détecte pas les lignes répétées, sauf si elles sont adjacentes. Vous voudrez sûrement trier l'entrée d'abord ou utiliser « sort -u » sans uniq.

AUTEUR
Écrit par Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
comm(1), join(1), sort(1)

Documentation complète : <https://www.gnu.org/software/coreutils/uniq>
aussi disponible localement à l’aide de la commande : info '(coreutils) uniq invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.